---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_EvaluateBooleanExpressionMethod;'
    inherits:  '&IDC_Method;'
    name:      EBE - Evaluate Boolean Expression Method
    index:     24
    customTagName: evaluateBooleanExpressionMethod
    relationships:
    - instance: '&IDR_Get_Attribute_Method__returns__Attribute;'
      customTagName: 'returnsAttributeId'

  - relationship: '&IDR_Evaluate_Boolean_Expression_Method__returns__Boolean_Attribute;'
    index: 24
    sourceClassId: '&IDC_GetAttributeMethod;'
    type: 'returns'
    destinationClassId: '&IDC_BooleanAttribute;'
    siblingRelationshipId: '&IDR_Boolean_Attribute__returned_by__Evaluate_Boolean_Expression_Method;'
    singular: no

  - relationship: '&IDR_Boolean_Attribute__returned_by__Evaluate_Boolean_Expression_Method;'
    index: 25
    sourceClassId: '&IDC_BooleanAttribute;'
    type: 'returned by'
    destinationClassId: '&IDC_GetAttributeMethod;'
    siblingRelationshipId: '&IDR_Evaluate_Boolean_Expression_Method__returns__Boolean_Attribute;'
    singular: no
